Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.io
Class GpsdConnector

    java.lang.Object
      org.ka2ddo.ax25.Connector
          org.ka2ddo.yaac.io.PortConnector
              org.ka2ddo.yaac.io.GpsdConnector

All Implemented Interfaces:
  java.lang.Runnable, java.lang.Thread.UncaughtExceptionHandler

    public class GpsdConnector

extends PortConnector
implements java.lang.Runnable, java.lang.Thread.UncaughtExceptionHandler

This class provides a driver to connect YAAC to a gpsd daemon, so that YAAC can use a shared GPS receiver, or non-standard hardware that acts like a GPS receiver or speaks protocols other than NMEA 0183.

Nested Class Summary

Nested classes/interfaces inherited from class org.ka2ddo.ax25.Connector
`Connector.PortStats`

Field Summary
`static java.lang.String` | `CONFIG_GUI`
`static java.lang.String` | `TYPE_NAME`

Fields inherited from class org.ka2ddo.yaac.io.PortConnector
`currentCfg, portConfig`

Fields inherited from class org.ka2ddo.ax25.Connector
`CAP_FULL_DUPLEX, CAP_GPS_DATA, CAP_HF, CAP_IGATE, CAP_OPENTRAC, CAP_RCV_PACKET_DATA, CAP_RF, CAP_WAYPOINT_SENDER, CAP_WEATHER, CAP_XMT_PACKET_DATA, stats`

Constructor Summary
`GpsdConnector()`

Method Summary
`void` | `close()` Shut down this port connection.
`void` | `configure(PortConfig config)` Update the configuration of the connector to match the updated setup.
`int` | `getCapabilities()` Specify what capabilities a port of this type has.
`boolean` | `isOpen()` Reports whether this PortConnector has an open connection to its port.
`void` | `run()` Read the socket connection until it closes.
`java.lang.String` | `toString()` Returns a string representation of the GpsdConnector object.
`void` | `uncaughtException(java.lang.Thread t, java.lang.Throwable e)` Method invoked when the given thread terminates due to the given uncaught exception.

Methods inherited from class org.ka2ddo.yaac.io.PortConnector
`addFrameListener, addPortEventListener, createPort, fireConsumeFrame, fireConsumeFrame, fireFailed, fireReceiving, fireTransmitting, getPortConnectorClass, portConnectorClasses, portTypeNames, registerPortConnectorType, removeFrameListener, removePortEventListener, setPortConfig`

Methods inherited from class org.ka2ddo.ax25.Connector
`finalize, getCallsign, getStats, hasCapability`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE_NAME

    public static final java.lang.String TYPE_NAME

See Also:
  Constant Field Values

### CONFIG_GUI

    public static final java.lang.String CONFIG_GUI

See Also:
  Constant Field Values

Constructor Detail

### GpsdConnector

    public GpsdConnector()

Method Detail

### configure

    public void configure(PortConfig config)
                   throws java.io.IOException,
                          java.lang.IllegalArgumentException

  Update the configuration of the connector to match the updated setup.

  Specified by:
    `configure` in class `PortConnector`
  Parameters:
    `config` - PortConfig defining new port settings
  Throws:
    `java.io.IOException` - if interface changes could not be applied
    `java.lang.IllegalArgumentException` - if type information is invalid for changing the settings of this PortConnector

### isOpen

    public boolean isOpen()

  Reports whether this PortConnector has an open connection to its port.

  Specified by:
    `isOpen` in class `Connector`
  Returns:
    boolean true if PortConnector is open

### run

    public void run()

  Read the socket connection until it closes.

  Specified by:
    `run` in interface `java.lang.Runnable`
  See Also:
    `Thread.run()`

### close

    public void close()

  Shut down this port connection. Expected to be overridden by sub-classes.

  Overrides:
    `close` in class `Connector`

### getCapabilities

    public int getCapabilities()

  Specify what capabilities a port of this type has.

  Overrides:
    `getCapabilities` in class `Connector`
  Returns:
    bitmask of capability flags
  See Also:
    `Connector.CAP_GPS_DATA`

### toString

    public java.lang.String toString()

  Returns a string representation of the GpsdConnector object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of the object.

### uncaughtException

    public final void uncaughtException(java.lang.Thread t,
                                        java.lang.Throwable e)

  Method invoked when the given thread terminates due to the given uncaught exception.

  Specified by:
    `uncaughtException` in interface `java.lang.Thread.UncaughtExceptionHandler`
  Parameters:
    `t` - the thread
    `e` - the exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD